Package org.apache.tapestry5.hibernate

# Class HibernateSymbols

java.lang.Object
org.apache.tapestry5.hibernate.HibernateSymbols

public class HibernateSymbols extends Object
Configuration symbols, for use with contributions to `ApplicationDefaults`.

Since:
  5.1.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_CONFIGURATION`
  If true, then the last `HibernateConfigurer` will invoke `Configuration.configure()`, to read the application's `hibernate.cfg.xml`.
  `static final String`
  `EARLY_START_UP`
  If "true", then Hibernate will be started up at application launch, rather than lazily.
  `static final String`
  `ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED`
  If true, then "entity" persistence strategy is used to store Hibernate entities as `Session State Objects`.
  `static final String`
  `PROVIDE_ENTITY_VALUE_ENCODERS`
  If true (the default), then `ValueEncoder`s are automatically created for each entity.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HibernateSymbols()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EARLY_START_UP

    public static final String EARLY_START_UP
    If "true", then Hibernate will be started up at application launch, rather than lazily.
    See Also:
      - Constant Field Values

  - ### DEFAULT_CONFIGURATION

    public static final String DEFAULT_CONFIGURATION
    If true, then the last `HibernateConfigurer` will invoke `Configuration.configure()`, to read the application's `hibernate.cfg.xml`. This should be set to false for applications that configure exclusively in code.
    See Also:
      - Constant Field Values

  - ### PROVIDE_ENTITY_VALUE_ENCODERS

    public static final String PROVIDE_ENTITY_VALUE_ENCODERS
    If true (the default), then `ValueEncoder`s are automatically created for each entity. Override to "false" to handle entity value encoding explicitly.
    See Also:
      - Constant Field Values

  - ### ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED

    public static final String ENTITY_SESSION_STATE_PERSISTENCE_STRATEGY_ENABLED
    If true, then "entity" persistence strategy is used to store Hibernate entities as `Session State Objects`.
    Since:
      5.2.0.0
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HibernateSymbols

    public HibernateSymbols()